%global python3_pkgversion 3.11
%global __python3 /usr/bin/python3.11

# Created by pyp2rpm-3.3.3
%global pypi_name uuid6

Name:           python-%{pypi_name}
Version:        2024.7.10
Release:        1%{?dist}
Summary:        New time-based UUID formats which are suited for use as a database key

License:        None
URL:            https://github.com/oittaa/uuid6-python
Source0:        https://files.pythonhosted.org/packages/source/u/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}-setuptools
BuildRequires:  python%{python3_pkgversion}-wheel


%description
%{summary}


%package -n     python%{python3_pkgversion}-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python%{python3_pkgversion}-%{pypi_name}}


%description -n python%{python3_pkgversion}-%{pypi_name}
%{summary}


%prep
set -ex
%autosetup -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info
#replace the Version to use the one provided with the macro %version
sed -i 's/VERSION = "0.0.0.dev0"/VERSION = "%{version}"/g' setup.py


%build
set -ex
%py3_build


%install
set -ex
%py3_install


%files -n python%{python3_pkgversion}-%{pypi_name}
%license LICENSE
%doc README.md
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{version}-py%{python3_version}.egg-info


%changelog
* Thu Oct 03 2024 Foreman Packaging Automation <packaging@theforeman.org> - 2024.7.10-1
- Update to 2024.7.10

* Wed Sep 11 2024 Foreman Packaging Automation <packaging@theforeman.org> - 2024.1.12-1
- Update to 2024.1.12

* Tue Jan 16 2024 Odilon Sousa <osousa@redhat.com> - 2023.5.2-5
- Remove SCL bits

* Tue Dec 12 2023 Patrick Creech <pcreech@redhat.com> - 2023.5.2-4
- Rollback overzealous obsoletes

* Tue Nov 21 2023 Patrick Creech <pcreech@redhat.com> - 2023.5.2-3
- Add python39 obsoletes to package

* Sat Nov 11 2023 Odilon Sousa <osousa@redhat.com> - 2023.5.2-2
- Build against python 3.11

* Tue Jun 27 2023 Odilon Sousa - 2023.5.2-1
- Initial package.
